package com.engine.organization.entity.scheme.param;

import com.engine.organization.common.BaseQueryParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 薪资项目查询参数
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
    public class SchemeSearchParam extends BaseQueryParam {

    private Long id;
    //名称
    private String schemeNo;

    //备注
    private String schemeName;

    private String schemeDescription;

    private Integer forbiddenTag;

}
